List child runs for a parent project-agent run
curl --request GET \
--url https://api.veryfront.com/conversations/{conversation_id}/runs/{run_id}/children \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veryfront.com/conversations/{conversation_id}/runs/{run_id}/children"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veryfront.com/conversations/{conversation_id}/runs/{run_id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"run_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"latest_event_id": 1,
"created_at": "<string>",
"run_snapshot": {
"project_agent": {
"kind": "source",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>"
},
"source": {
"path": "<string>",
"hash": "<string>",
"catalog_entry_id": "<string>"
},
"runtime_target": {
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_target_kind": "<string>",
"deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"requester": {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"implementation_kind": "<string>",
"worker_key": "<string>",
"source_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_target_release_version": "<string>",
"runtime_target_environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"runtime_target_branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_run_id": "<string>",
"spawned_from_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"spawned_from_tool_call_id": "<string>",
"input_anchor_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"handoff_message_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"resolved_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"latest_external_event_sequence": 1,
"waiting_tool_call_id": "<string>",
"waiting_tool_name": "<string>",
"terminal_error_code": "<string>",
"terminal_error_message": "<string>",
"started_at": "<string>",
"finished_at": "<string>"
}
],
"page_info": {
"self": "<string>",
"first": null,
"next": "<string>",
"prev": "<string>"
}
}{
"type": "https://api.veryfront.com/errors/validation-error",
"title": "Validation Error",
"status": 400,
"detail": "The 'email' field must be a valid email address",
"instance": "/projects/my-project/members",
"errors": [
{
"field": "email",
"message": "Invalid email format",
"code": "INVALID_FORMAT"
}
]
}List child runs for a parent project-agent run
Lists child agent runs spawned by the requested parent run in the conversation.
GET
/
conversations
/
{conversation_id}
/
runs
/
{run_id}
/
children
List child runs for a parent project-agent run
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Query Parameters
Required string length:
1 - 128Required range:
1 <= x <= 100⌘I